apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    argocd.argoproj.io/sync-wave: "3"
    argocd.argoproj.io/tracking-id: pidoka-hf-homarr:apps/Deployment:homarr/my-homarr
    deployment.kubernetes.io/revision: "2"
    meta.helm.sh/release-name: my-homarr
    meta.helm.sh/release-namespace: homarr
  creationTimestamp: "2023-12-30T21:00:00Z"
  generation: 10
  labels:
    app: homarr-8.0.4
    app.kubernetes.io/instance: my-homarr
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: homarr
    app.kubernetes.io/version: 0.14.2
    helm-revision: "1"
    helm.sh/chart: homarr-8.0.4
    release: my-homarr
  name: my-homarr
  namespace: homarr
  resourceVersion: "87716389"
  uid: 1168983c-df9b-440c-907e-e8eb852468a9
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app.kubernetes.io/instance: my-homarr
      app.kubernetes.io/name: homarr
      pod.name: main
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        rollme: BZS6c
      creationTimestamp: null
      labels:
        app: homarr-8.0.4
        app.kubernetes.io/instance: my-homarr
        app.kubernetes.io/managed-by: Helm
        app.kubernetes.io/name: homarr
        app.kubernetes.io/version: 0.14.2
        helm-revision: "1"
        helm.sh/chart: homarr-8.0.4
        pod.name: main
        release: my-homarr
    spec:
      automountServiceAccountToken: false
      containers:
      - env:
        - name: TZ
          value: UTC
        - name: UMASK
          value: "0022"
        - name: UMASK_SET
          value: "0022"
        - name: S6_READ_ONLY_ROOT
          value: "1"
        - name: NEXTAUTH_SECRET
          valueFrom:
            secretKeyRef:
              key: NEXTAUTH_SECRET
              name: my-homarr-homarr-secrets
        image: ghcr.io/ajnart/homarr:0.14.2@sha256:3f2389f69db8b497c32c843d44f26afefb4e47b8e7954d0c43c372713d617ed7
        imagePullPolicy: IfNotPresent
        livenessProbe:
          failureThreshold: 5
          httpGet:
            path: /
            port: 7575
            scheme: HTTP
          initialDelaySeconds: 10
          periodSeconds: 10
          successThreshold: 1
          timeoutSeconds: 5
        name: my-homarr
        ports:
        - containerPort: 7575
          name: main
          protocol: TCP
        readinessProbe:
          failureThreshold: 5
          httpGet:
            path: /
            port: 7575
            scheme: HTTP
          initialDelaySeconds: 10
          periodSeconds: 10
          successThreshold: 2
          timeoutSeconds: 5
        resources:
          limits:
            cpu: "4"
            memory: 8Gi
          requests:
            cpu: 10m
            memory: 50Mi
        securityContext:
          allowPrivilegeEscalation: false
          capabilities:
            drop:
            - ALL
          privileged: false
          readOnlyRootFilesystem: true
          runAsGroup: 568
          runAsNonRoot: true
          runAsUser: 568
          seccompProfile:
            type: RuntimeDefault
        startupProbe:
          failureThreshold: 60
          initialDelaySeconds: 10
          periodSeconds: 5
          successThreshold: 1
          tcpSocket:
            port: 7575
          timeoutSeconds: 2
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /app/data/configs
          name: config
        - mountPath: /data
          name: data
        - mountPath: /dev/shm
          name: devshm
        - mountPath: /app/public/icons
          name: icons
        - mountPath: /shared
          name: shared
        - mountPath: /tmp
          name: tmp
        - mountPath: /var/logs
          name: varlogs
        - mountPath: /var/run
          name: varrun
      dnsConfig:
        options:
        - name: ndots
          value: "1"
      dnsPolicy: ClusterFirst
      enableServiceLinks: false
      nodeSelector:
        kubernetes.io/arch: amd64
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext:
        fsGroup: 568
        fsGroupChangePolicy: OnRootMismatch
        supplementalGroups:
        - 568
      serviceAccount: default
      serviceAccountName: default
      shareProcessNamespace: false
      terminationGracePeriodSeconds: 60
      topologySpreadConstraints:
      - labelSelector:
          matchLabels:
            app.kubernetes.io/instance: my-homarr
            app.kubernetes.io/name: homarr
            pod.name: my-homarr
        maxSkew: 1
        nodeAffinityPolicy: Honor
        nodeTaintsPolicy: Honor
        topologyKey: truecharts.org/rack
        whenUnsatisfiable: ScheduleAnyway
      - labelSelector:
          matchLabels:
            app.kubernetes.io/instance: my-homarr
            app.kubernetes.io/name: homarr
            pod.name: my-homarr
        maxSkew: 1
        nodeAffinityPolicy: Honor
        nodeTaintsPolicy: Honor
        topologyKey: kubernetes.io/hostname
        whenUnsatisfiable: ScheduleAnyway
      volumes:
      - name: config
        persistentVolumeClaim:
          claimName: my-homarr-config
      - name: data
        persistentVolumeClaim:
          claimName: my-homarr-data
      - emptyDir:
          medium: Memory
          sizeLimit: 8Gi
        name: devshm
      - name: icons
        persistentVolumeClaim:
          claimName: my-homarr-icons
      - emptyDir: {}
        name: shared
      - emptyDir:
          medium: Memory
          sizeLimit: 8Gi
        name: tmp
      - emptyDir:
          medium: Memory
          sizeLimit: 8Gi
        name: varlogs
      - emptyDir:
          medium: Memory
          sizeLimit: 8Gi
        name: varrun
status:
  availableReplicas: 1
  collisionCount: 1
  conditions:
  - lastTransitionTime: "2023-12-30T21:00:00Z"
    lastUpdateTime: "2023-12-31T01:25:53Z"
    message: ReplicaSet "my-homarr-698bc75847" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  - lastTransitionTime: "2026-05-03T09:53:05Z"
    lastUpdateTime: "2026-05-03T09:53:05Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  observedGeneration: 10
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
